> ## Documentation Index
> Fetch the complete documentation index at: https://scrinly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue stored screenshots

> Accepts up to 100 URLs. Public batches are screenshot-only and reserve one credit per accepted item.



## OpenAPI

````yaml /api-reference/openapi.json post /render/batch
openapi: 3.1.0
info:
  title: Scrinly Browser API
  version: 1.0.0
  description: >-
    Public screenshot, region, Visual Style Guide, visual diff, monitoring,
    batch, job-status, and usage API.
servers:
  - url: https://api.scrinly.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Screenshots
  - name: Batches
  - name: Diffs
  - name: Jobs
  - name: Usage
  - name: Monitors
  - name: Recipients
paths:
  /render/batch:
    post:
      tags:
        - Batches
      summary: Queue stored screenshots
      description: >-
        Accepts up to 100 URLs. Public batches are screenshot-only and reserve
        one credit per accepted item.
      operationId: createScreenshotBatch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchRequest'
            example:
              urls:
                - https://example.com
                - https://example.org
              screenshot: true
              store: true
              storage_path: batch
      responses:
        '200':
          $ref: '#/components/responses/BatchResult'
        '207':
          $ref: '#/components/responses/BatchResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
components:
  schemas:
    BatchRequest:
      type: object
      required:
        - urls
        - screenshot
        - store
        - storage_path
      additionalProperties: true
      not:
        anyOf:
          - required:
              - regions
          - required:
              - design
          - required:
              - styleGuide
          - required:
              - regenerate
          - required:
              - cache
      properties:
        urls:
          type: array
          minItems: 1
          maxItems: 100
          items:
            type: string
            format: uri
            pattern: ^https?://
        screenshot:
          type: boolean
          const: true
        store:
          type: boolean
          const: true
        storage_path:
          type: string
          minLength: 1
        format:
          type: string
          enum:
            - jpg
            - png
          default: jpg
        quality:
          type: integer
          minimum: 1
          maximum: 100
          default: 80
        width:
          type: integer
          minimum: 320
          maximum: 3840
        height:
          type: integer
          minimum: 240
          maximum: 2160
        device:
          type: string
        fullPage:
          type: boolean
          default: false
        theme:
          type: string
          enum:
            - light
            - dark
          default: light
        timeout:
          type: integer
          minimum: 10
          maximum: 60
        waitUntil:
          type: string
          enum:
            - load
            - domcontentloaded
            - networkidle0
            - networkidle2
        hideSelectors:
          type: array
          items:
            type: string
        clickSelectors:
          type: array
          items:
            type: string
        scrollToElement:
          type: string
        headers:
          type: object
          additionalProperties:
            type: string
          writeOnly: true
        cookies:
          type: array
          items:
            $ref: '#/components/schemas/Cookie'
          writeOnly: true
        webhookUrl:
          type: string
          format: uri
        webhookSecret:
          type: string
          writeOnly: true
        storage_provider:
          type: string
          enum:
            - b2
            - s3
            - r2
        storage_bucket:
          type: string
        storage_endpoint:
          type: string
          format: uri
          writeOnly: true
        storage_access_key_id:
          type: string
          writeOnly: true
        storage_secret_access_key:
          type: string
          writeOnly: true
        storage_public_domain:
          type: string
          format: uri
    Cookie:
      type: object
      required:
        - name
        - value
      properties:
        name:
          type: string
        value:
          type: string
          writeOnly: true
        domain:
          type: string
        path:
          type: string
        httpOnly:
          type: boolean
        secure:
          type: boolean
        sameSite:
          type: string
          enum:
            - Strict
            - Lax
            - None
      additionalProperties: false
    BatchResponse:
      type: object
      required:
        - success
        - total
        - accepted
        - failed
        - results
      properties:
        success:
          type: boolean
        total:
          type: integer
        accepted:
          type: integer
        failed:
          type: integer
        results:
          type: array
          items:
            $ref: '#/components/schemas/BatchItem'
        credits:
          $ref: '#/components/schemas/Credits'
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          const: false
        error:
          type: string
        type:
          type: string
        code:
          type: string
        retryable:
          type: boolean
        fields:
          type: array
          items:
            $ref: '#/components/schemas/ErrorField'
        credits:
          $ref: '#/components/schemas/Credits'
    BatchItem:
      type: object
      required:
        - index
        - success
      properties:
        index:
          type: integer
        success:
          type: boolean
        jobId:
          type: string
          format: uuid
        statusUrl:
          type: string
        error:
          $ref: '#/components/schemas/Error'
        credits:
          $ref: '#/components/schemas/Credits'
    Credits:
      type: object
      required:
        - charged
        - refunded
        - net
      properties:
        charged:
          type: integer
          minimum: 0
        refunded:
          type: integer
          minimum: 0
        net:
          type: integer
          minimum: 0
    ErrorField:
      type: object
      required:
        - field
        - message
      properties:
        field:
          type: string
        message:
          type: string
  responses:
    BatchResult:
      description: Per-item acceptance; 207 means partial acceptance.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BatchResponse'
    BadRequest:
      description: Validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Invalid or missing Scrinly key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    PaymentRequired:
      description: Credit allowance exhausted
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Scrinly API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.